# Gimp.Drawable.prototype.get_sub_thumbnail

    function get_sub_thumbnail(src_x: Number(gint), src_y: Number(gint), src_width: Number(gint), src_height: Number(gint), dest_width: Number(gint), dest_height: Number(gint), alpha: Gimp.PixbufTransparency): GdkPixbuf.Pixbuf {
        // Gjs wrapper for gimp_drawable_get_sub_thumbnail()
    }

Retrieves a thumbnail pixbuf for the drawable identified by drawable. The thumbnail will be not larger than the requested size.

Since 2.2

src_x

  the x coordinate of the area

src_y

  the y coordinate of the area

src_width

  the width of the area

src_height

  the height of the area

dest_width

  the requested thumbnail width (<= 1024 pixels)

dest_height

  the requested thumbnail height (<= 1024 pixels)

alpha

  how to handle an alpha channel

Returns

  a new GdkPixbuf.Pixbuf